GCalc.Parser.TokenType – GCalc-2 Reference Manual

# TokenType

## Description:

public enum TokenType

## Content:

### Enum values:

- ASSIGN
- CARRET
- CLOSE_BRACE
- CLOSE_BRACKET
- CLOSE_PARENS
- COLON
- COMMA
- CURRENCY_SYMBOL
- DIV
- DOT
- DOUBLE_COLON
- ELLIPSIS
- EOF
- HASH
- IDENTIFIER
- INTEGER_LITERAL
- INTERR
- MINUS
- NONE
- OPEN_BRACE
- OPEN_BRACKET
- OPEN_PARENS
- OP_AND
- OP_COALESCING
- OP_DEC
- OP_EQ
- OP_GE
- OP_GT
- OP_INC
- OP_LE
- OP_LT
- OP_NE
- OP_NEG
- OP_OR
- OP_PTR
- OP_SHIFT_LEFT
- PLUS
- REAL_LITERAL
- SEMICOLON
- STAR
- STRING_LITERAL
- TILDE